package com.sundata.internalevaluation.calc.util;

import com.sundata.internalevaluation.calc.exception.RequestParamException;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-05-07 17:38:46
 * @description: 接口参数中 获取参数的工具类
 */
public class ParamUtils {


    /**
     * 获取局域网IP地址
     * @return ip
     */
    public static String getIpAddress(){
        try {
            return InetAddress.getLocalHost().getHostAddress();
        } catch (UnknownHostException e) {
            throw new RequestParamException("调用工具类获取IP地址失败！[ParamUtils.getIpAddress()]");
        }
    }


    /**
     * 获取当前时间指定格式的字符串
     * @param format 时间日期格式
     * @return 对应字符串
     */
    public static String getDateStr(String format){
        SimpleDateFormat sdf = new SimpleDateFormat(format);
        return sdf.format(new Date());
    }

}
